<?php

/**
 * List view
 */
class AnalyticReportingViewReportbuilder extends SugarView
{
	public function display()
    {
        $config = new ARConfigUtils(new ARConfigService());

        $this->ss->assign('ISBASIC', $config->isBasicPlan() ? 1 : 0);

        $config = Config::load('common', 'common');
        $this->ss->assign("TPL_PATH", $config["url"]["TPL_PATH"]);

		foreach($this->view_object_map as $key => $value) {
			$this->ss->assign($key, $value);
		}
		if(!empty($this->view_object_map['simpleBuilder'])) {
			echo $this->ss->fetch('modules/AnalyticReporting/templates/ReportBuilder/simple.tpl');
			//default index view
		}else{
			echo $this->ss->fetch('modules/AnalyticReporting/templates/ReportBuilder/main.tpl');
		}
	}
}